<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MDrawGlyph Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MDrawGlyph Struct Reference<br/>
<small>
[<a class="el" href="group__m17nDraw.html">Drawing</a>]</small>
</h1><!-- doxytag: class="MDrawGlyph" -->
<p>Type of information about a glyph metric and font.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#aebd827c9ab5b6cfda97ff1d150594d8c">glyph_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#ac814c13052221a9e7195dfcdf5d4297f">x_advance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a0ea0c7bb474929dd6094af188b72ad13">y_advance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a89b7f81aa679efbc999a1e5b1e37de60">x_off</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a0aa9c8644380aaa7572efc60b020a0d4">y_off</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a0ac28c3492847ea5b776c4dbdc87c1a3">lbearing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a09fdb20e585babecfec18d6f3fc98420">rbearing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a247a594b7ad149f97f8ba6524fd2223b">ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a2b9cebf0a3800ec7dbfac0d683d7c421">descent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#ac010255718f969e36d838f87b70e7f06">font</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#ab6983fa35f2a3b7815155a6c3d0dfcfd">font_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a1077271146021fa87e1b0ab8dcb0ee8d">fontp</a></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd41d8cd98f00b204e9800998ecf8427e"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a01c9f0e3bf606fdc192dc57e628b4535">from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a41c5fd578f7167e8d9bc31ae9df0dccf">to</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Type of information about a glyph metric and font. </p>
<p>The type <a class="el" href="structMDrawGlyph.html" title="Type of information about a glyph metric and font.">MDrawGlyph</a> is the structure that contains information about a glyph metric and font. It is used by the function <a class="el" href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc" title="Compute information about glyph sequence.">mdraw_glyph_list()</a>. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a01c9f0e3bf606fdc192dc57e628b4535"></a><!-- doxytag: member="MDrawGlyph::from" ref="a01c9f0e3bf606fdc192dc57e628b4535" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a01c9f0e3bf606fdc192dc57e628b4535">MDrawGlyph::from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Character range corresponding to the glyph. </p>

</div>
</div>
<a class="anchor" id="a41c5fd578f7167e8d9bc31ae9df0dccf"></a><!-- doxytag: member="MDrawGlyph::to" ref="a41c5fd578f7167e8d9bc31ae9df0dccf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a41c5fd578f7167e8d9bc31ae9df0dccf">MDrawGlyph::to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aebd827c9ab5b6cfda97ff1d150594d8c"></a><!-- doxytag: member="MDrawGlyph::glyph_code" ref="aebd827c9ab5b6cfda97ff1d150594d8c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#aebd827c9ab5b6cfda97ff1d150594d8c">MDrawGlyph::glyph_code</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Font glyph code of the glyph. </p>

</div>
</div>
<a class="anchor" id="ac814c13052221a9e7195dfcdf5d4297f"></a><!-- doxytag: member="MDrawGlyph::x_advance" ref="ac814c13052221a9e7195dfcdf5d4297f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#ac814c13052221a9e7195dfcdf5d4297f">MDrawGlyph::x_advance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Logical width of the glyph. Nominal distance to the next glyph. </p>

</div>
</div>
<a class="anchor" id="a0ea0c7bb474929dd6094af188b72ad13"></a><!-- doxytag: member="MDrawGlyph::y_advance" ref="a0ea0c7bb474929dd6094af188b72ad13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a0ea0c7bb474929dd6094af188b72ad13">MDrawGlyph::y_advance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Logical height of the glyph. Nominal distance to the next glyph. </p>

</div>
</div>
<a class="anchor" id="a89b7f81aa679efbc999a1e5b1e37de60"></a><!-- doxytag: member="MDrawGlyph::x_off" ref="a89b7f81aa679efbc999a1e5b1e37de60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a89b7f81aa679efbc999a1e5b1e37de60">MDrawGlyph::x_off</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>X offset relative to the glyph position. </p>

</div>
</div>
<a class="anchor" id="a0aa9c8644380aaa7572efc60b020a0d4"></a><!-- doxytag: member="MDrawGlyph::y_off" ref="a0aa9c8644380aaa7572efc60b020a0d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a0aa9c8644380aaa7572efc60b020a0d4">MDrawGlyph::y_off</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Y offset relative to the glyph position. </p>

</div>
</div>
<a class="anchor" id="a0ac28c3492847ea5b776c4dbdc87c1a3"></a><!-- doxytag: member="MDrawGlyph::lbearing" ref="a0ac28c3492847ea5b776c4dbdc87c1a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a0ac28c3492847ea5b776c4dbdc87c1a3">MDrawGlyph::lbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Metric of the glyph (left-bearing). </p>

</div>
</div>
<a class="anchor" id="a09fdb20e585babecfec18d6f3fc98420"></a><!-- doxytag: member="MDrawGlyph::rbearing" ref="a09fdb20e585babecfec18d6f3fc98420" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a09fdb20e585babecfec18d6f3fc98420">MDrawGlyph::rbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Metric of the glyph (right-bearing). </p>

</div>
</div>
<a class="anchor" id="a247a594b7ad149f97f8ba6524fd2223b"></a><!-- doxytag: member="MDrawGlyph::ascent" ref="a247a594b7ad149f97f8ba6524fd2223b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a247a594b7ad149f97f8ba6524fd2223b">MDrawGlyph::ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Metric of the glyph (ascent). </p>

</div>
</div>
<a class="anchor" id="a2b9cebf0a3800ec7dbfac0d683d7c421"></a><!-- doxytag: member="MDrawGlyph::descent" ref="a2b9cebf0a3800ec7dbfac0d683d7c421" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a2b9cebf0a3800ec7dbfac0d683d7c421">MDrawGlyph::descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Metric of the glyph (descent). </p>

</div>
</div>
<a class="anchor" id="ac010255718f969e36d838f87b70e7f06"></a><!-- doxytag: member="MDrawGlyph::font" ref="ac010255718f969e36d838f87b70e7f06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* <a class="el" href="structMDrawGlyph.html#ac010255718f969e36d838f87b70e7f06">MDrawGlyph::font</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Font used for the glyph. Set to NULL if no font is found for the glyph. </p>

</div>
</div>
<a class="anchor" id="ab6983fa35f2a3b7815155a6c3d0dfcfd"></a><!-- doxytag: member="MDrawGlyph::font_type" ref="ab6983fa35f2a3b7815155a6c3d0dfcfd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMDrawGlyph.html#ab6983fa35f2a3b7815155a6c3d0dfcfd">MDrawGlyph::font_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Type of the font. One of Mx, Mfreetype, Mxft. </p>

</div>
</div>
<a class="anchor" id="a1077271146021fa87e1b0ab8dcb0ee8d"></a><!-- doxytag: member="MDrawGlyph::fontp" ref="a1077271146021fa87e1b0ab8dcb0ee8d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMDrawGlyph.html#a1077271146021fa87e1b0ab8dcb0ee8d">MDrawGlyph::fontp</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Pointer to the font structure. The actual type is (XFontStruct *) if &lt;font_type&gt; member is Mx, FT_Face if &lt;font_type&gt; member is Mfreetype, and (XftFont *) if &lt;font_type&gt; member is Mxft. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
